#define help_dmesg "usage: dmesg [-n level] [-s bufsize] | -c\n\nPrint or control the kernel ring buffer.\n\n-n  Set kernel logging level (1-9).\n-s  Size of buffer to read (in bytes), default 16384.\n-c  Clear the ring buffer after printing.\n"
#define help_hostname "usage: hostname [newname]\n\nGet/Set the current hostname\n"
#define help_killall "usage: killall [-l] [-q] [-SIG] PROCESS_NAME...\n\nSend a signal (default: TERM) to all processes with the given names.\n\n-l  print list of all available signals\n-q  don't print any warnings or error messages\n"
#define help_md5sum "usage: md5sum [FILE]...\n\nCalculate md5 hash for each input file, reading from stdin if none.\nOutput one hash (16 hex digits) for each input file, followed by\nfilename.\n"
#define help_md5sum_sha1sum "usage: sha1sum [FILE]...\n\ncalculate sha1 hash for each input file, reading from stdin if one.\nOutput one hash (20 hex digits) for each input file, followed by\nfilename.\n"
#define help_mknod "usage: mknod NAME TYPE [MAJOR MINOR]\n\nCreate a special file NAME with a given type, possible types are\nb   block device\nc or u      character device\np   named pipe (ignores MAJOR/MINOR)\n"
#define help_mktemp "usage: mktemp [-dq] [-p DIR] [TEMPLATE]\n\nSafely create new file and print its name. Default TEMPLATE is\n/tmp/tmp.XXXXXX and each trailing X is replaced with random char.\n\n-d, --directory        Create directory instead of file\n-p DIR, --tmpdir=DIR   Put new file in DIR\n-q                     Quiet\n"
#define help_passwd "usage: passwd [-a ALGO] [-d] [-l] [-u] <account name>\n\nupdate user’s authentication tokens. Default : current user\n\n-a ALGO     Encryption method (des, md5, sha256, sha512) default: des\n-d          Set password to ''\n-l          Lock (disable) account\n-u          Unlock (enable) account\n"
#define help_pidof "usage: pidof [-s] [-o omitpid[,omitpid..]] [NAME]...\n\nPrint the PIDs of all processes with the given names.\n-s  single shot, only return one pid.\n-o  omits processes with specified PID\n"
#define help_seq "usage: seq [first] [increment] last\n\nCount from first to last, by increment. Omitted arguments default\nto 1. Two arguments are used as first and last. Arguments can be\nnegative or floating point.\n"
#define help_sync "usage: sync\n\nWrite pending cached data to disk (synchronize), blocking until done.\n"
#define help_bzcat "usage: bzcat [filename...]\n\nDecompress listed files to stdout. Use stdin if no files listed.\n"
#define help_catv "usage: catv [-evt] [filename...]\n\nDisplay nonprinting characters as escape sequences. Use M-x for\nhigh ascii characters (>127), and ^x for other nonprinting chars.\n\n-e  Mark each newline with $\n-t  Show tabs as ^I\n-v  Don't use ^x or M-x escapes.\n"
#define help_chroot "usage: chroot NEWPATH [commandline...]\n\nRun command within a new root directory. If no command, run /bin/sh.\n"
#define help_chvt "usage: chvt N\n\nChange to virtual terminal number N. (This only works in text mode.)\n\nVirtual terminals are the Linux VGA text mode displays, ordinarily\nswitched between via alt-F1, alt-F2, etc. Use ctrl-alt-F1 to switch\nfrom X to a virtual terminal, and alt-F6 (or F7, or F8) to get back.\n"
#define help_clear "Clear the screen.\n"
#define help_count "usage: count\n\nCopy stdin to stdout, displaying simple progress indicator to stderr.\n"
#define help_dos2unix "usage: dos2unix/unix2dos [file...]\n\nConvert newline format between dos (\\r\\n) and unix (just \\n)\nIf no files listed copy from stdin, \"-\" is a synonym for stdin.\n"
#define help_free "usage: free [-bkmg]\n\nDisplay the total, free and used amount of physical memory and\nswap space.\n\n-bkmg       Output in bytes (default), KB, MB or GB\n"
#define help_hello "usage: hello [-a] [-b string] [-c number] [-d list] [-e count] [...]\n\nA hello world program.  You don't need this.\n\nMostly used as an example/skeleton file for adding new commands,\noccasionally nice to test kernel booting via \"init=/bin/hello\".\n"
#define help_help "usage: help [command]\n\nShow usage information for toybox commands.\nRun \"toybox\" with no arguments for a list of available commands.\n"
#define help_insmod "usage: insmod MODULE [MODULE_OPTIONS]\n\nLoad the module named MODULE passing options if given.\n"
#define help_login "usage: login [-p] [-h host] [[-f] username]\n\nEstablish a new session with the system.\n-p  Preserve environment\n-h  The name of the remote host for this login\n-f  Do not perform authentication\n"
#define help_lsmod "usage: lsmod\n\nDisplay the currently loaded modules, their sizes and their dependencies.\n"
#define help_mdev "usage: mdev [-s]\n\nCreate devices in /dev using information from /sys.\n\n-s  Scan all entries in /sys to populate /dev.\n"
#define help_mdev_conf "The mdev config file (/etc/mdev.conf) contains lines that look like:\nhd[a-z][0-9]* 0:3 660\n\nEach line must contain three whitespace separated fields. The first\nfield is a regular expression matching one or more device names, and\nthe second and third fields are uid:gid and file permissions for\nmatching devies.\n"
#define help_mke2fs "usage: mke2fs [-Fnq] [-b ###] [-N|i ###] [-m ###] device\n\nCreate an ext2 filesystem on a block device or filesystem image.\n\n-F         Force to run on a mounted device\n-n         Don't write to device\n-q         Quiet (no output)\n-b size    Block size (1024, 2048, or 4096)\n-N inodes  Allocate this many inodes\n-i bytes   Allocate one inode for every XXX bytes of device\n-m percent Reserve this percent of filesystem space for root user\n"
#define help_mke2fs_journal "usage: [-j] [-J size=###,device=XXX]\n\n-j         Create journal (ext3)\n-J         Journal options\nsize: Number of blocks (1024-102400)\ndevice: Specify an external journal\n"
#define help_mke2fs_gen "usage: gene2fs [options] device filename\n\nThe [options] are the same as mke2fs.\n"
#define help_mke2fs_label "usage: mke2fs [-L label] [-M path] [-o string]\n\n-L         Volume label\n-M         Path to mount point\n-o         Created by\n"
#define help_mke2fs_extended "usage: mke2fs [-E stride=###] [-O option[,option]]\n\n-E stride= Set RAID stripe size (in blocks)\n-O [opts]  Specify fewer ext2 option flags (for old kernels)\nAll of these are on by default (as appropriate)\nnone         Clear default options (all but journaling)\ndir_index    Use htree indexes for large directories\nfiletype     Store file type info in directory entry\nhas_journal  Set by -j\njournal_dev  Set by -J device=XXX\nsparse_super Don't allocate huge numbers of redundant superblocks\n"
#define help_mkswap "usage: mkswap DEVICE\n\nSets up a Linux swap area on a device or file.\n"
#define help_modinfo "usage: modinfo [-0] [-F field] [modulename...]\n"
#define help_mountpoint "usage: mountpoint [-q] [-d] directory\nmountpoint [-q] [-x] device\n\n-q  Be quiet, return zero if directory is a mountpoint\n-d  Print major/minor device number of the directory\n-x  Print major/minor device number of the block device\n"
#define help_netcat "usage: netcat [-wpq #] [-s addr] {IPADDR PORTNUM|-f FILENAME|-let} [-e COMMAND]\n\n-w  SECONDS timeout for connection\n-p  local port number\n-s  local ipv4 address\n-q  SECONDS quit this many seconds after EOF on stdin.\n-f  use FILENAME (ala /dev/ttyS0) instead of network\n\nUse \"stty 115200 -F /dev/ttyS0 && stty raw -echo -ctlecho\" with\nnetcat -f to connect to a serial port.\n"
#define help_netcat_listen "-t  allocate tty (must come before -l or -L)\n-l  listen for one incoming connection.\n-L  listen for multiple incoming connections (server mode).\n\nAny additional command line arguments after -l or -L are executed\nto handle each incoming connection. If none, the connection is\nforwarded to stdin/stdout.\n\nFor a quick-and-dirty server, try something like:\nnetcat -s 127.0.0.1 -p 1234 -tL /bin/bash -l\n"
#define help_oneit "usage: oneit [-p] [-c /dev/tty0] command [...]\n\nA simple init program that runs a single supplied command line with a\ncontrolling tty (so CTRL-C can kill it).\n\n-p  Power off instead of rebooting when command exits.\n-c  Which console device to use.\n\nThe oneit command runs the supplied command line as a child process\n(because PID 1 has signals blocked), attached to /dev/tty0, in its\nown session. Then oneit reaps zombies until the child exits, at\nwhich point it reboots (or with -p, powers off) the system.\n"
#define help_printenv "usage: printenv [-0] [env_var...]\n\nPrint environment variables.\n\n-0  Use \\0 as delimiter instead of \\n\n"
#define help_readlink "usage: readlink FILE\n\nWith no options, show what symlink points to, return error if not symlink.\n\nOptions for producing cannonical paths (all symlinks/./.. resolved):\n\n-e  cannonical path to existing entry (fail if nothing there)\n-f  full path (fail if location does not exist)\n-n  no trailing newline\n-q  quiet (no output, just error code)\n"
#define help_realpath "usage: realpath FILE...\n\nDisplay the canonical absolute pathname\n"
#define help_rmmod "usage: rmmod [-wf] [MODULE]\n\nUnload the module named MODULE from the Linux kernel.\n-f  Force unload of a module\n-w  Wait until the module is no longer used.\n\n"
#define help_setsid "usage: setsid [-t] command [args...]\n\nRun process in a new session.\n\n-t  Grab tty (become foreground process, receiving keyboard signals)\n"
#define help_swapoff "usage: swapoff swapregion\n\nDisable swapping on a given swapregion.\n"
#define help_swapon "usage: swapon [-p priority] filename\n\nEnable swapping on a given device/file.\n"
#define help_switch_root "usage: switch_root [-c /dev/console] NEW_ROOT NEW_INIT...\n\nUse from PID 1 under initramfs to free initramfs, chroot to NEW_ROOT,\nand exec NEW_INIT.\n\n-c  Redirect console to device in NEW_ROOT\n-h  Hang instead of exiting on failure (avoids kernel panic)\n"
#define help_tac "usage: tac [FILE...]\n\nOutput lines in reverse order.\n"
#define help_taskset "usage: taskset [-ap] [mask] [PID | cmd [args...]]\n\nLaunch a new task which may only run on certain processors, or change\nthe processor affinity of an exisitng PID.\n\nMask is a hex string where each bit represents a processor the process\nis allowed to run on. PID without a mask displays existing affinity.\n\n-p  Set/get the affinity of given PID instead of a new command.\n-a  Set/get the affinity of all threads of the PID.\n"
#define help_truncate "usage: truncate [-c] -s file...\n\nSet length of file(s), extending sparsely if necessary.\n\n-c  Don't create file if it doesn't exist.\n-s  New size\n"
#define help_unshare "usage: unshare [-muin] COMMAND...\n\nCreate new namespace(s) for this process and its children, so some\nattribute is not shared with the parent process.  This is part of\nLinux Containers.  Each process can have its own:\n\n-m  Mount/unmount tree\n-u  Host and domain names\n-i  SysV IPC (message queues, semaphores, shared memory)\n-n  Network address, sockets, routing, iptables\n"
#define help_uptime "usage: uptime\n\nTell how long the system has been running and the system load\naverages for the past 1, 5 and 15 minutes.\n"
#define help_usleep "usage: usleep MICROSECONDS\n\nPause for MICROSECONDS microseconds.\n"
#define help_vconfig "usage: vconfig COMMAND [OPTIONS]\n\nadd             [interface-name] [vlan_id]\nrem             [vlan-name]\nset_flag        [interface-name] [flag-num]       [0 | 1]\nset_egress_map  [vlan-name]      [skb_priority]   [vlan_qos]\nset_ingress_map [vlan-name]      [skb_priority]   [vlan_qos]\nset_name_type   [name-type]\n\nCreate and remove virtual ethernet devices\n"
#define help_vmstat "usage: vmstat [-n] [delay [count]]\n-n  Display the header only once\ndelay       The delay between updates in seconds, when not specified\nthe average since boot is displayed.\ncount       Number of updates to display, the default is inifinite.\n"
#define help_w "usage: w\n\nShow who is logged on and since how long they logged in.\n"
#define help_which "usage: which [-a] filename ...\n\nSearch $PATH for executable files matching filename(s).\n\n-a  Show all matches\n"
#define help_whoami "usage: whoami\n\nPrint effective user name.\n"
#define help_yes "usage: yes [args...]\n\nRepeatedly output line until killed. If no args, output 'y'.\n"
#define help_stat "Usage: stat [OPTION] FILE...\ndisplay file or file system status\n-Z, --context\nprint the security context information if available\n-f, --file-system\ndisplay file system status instead of file status\n-c  --format=FORMAT\nuse the specified FORMAT instead of the default; output a newline after each use of FORMAT\n--help display this help and exit\nThe valid format sequences for files (without --file-system):\n%a     Access rights in octal\n%A     Access rights in human readable form\n%b     Number of blocks allocated (see\n%B     The size in bytes of each block reported by\n%d     Device number in decimal\n%D     Device number in hex\n%f     Raw mode in hex\n%F     File type\n%G     Group name of owner\n%h     Number of hard links\n%i     Inode number\n%n     File name\n%N     Quoted file name with dereference if symbolic link\n%o     I/O block size\n%s     Total size, in bytes\n%t     Major device type in hex\n%T     Minor device type in hex\n%u     User ID of owner\n%U     User name of owner\n%x     Time of last access\n%X     Time of last access as seconds since Epoch\n%y     Time of last modification\n%Y     Time of last modification as seconds since Epoch\n%z     Time of last change\n%Z     Time of last change as seconds since Epoch\n"
#define help_basename "usage: basename string [suffix]\n\nReturn non-directory portion of a pathname removing suffix\n"
#define help_cal "usage: cal [[month] year]\nPrint a calendar.\n\nWith one argument, prints all months of the specified year.\nWith two arguments, prints calendar for month and year.\n"
#define help_cat "usage: cat [-u] [file...]\nCopy (concatenate) files to stdout.  If no files listed, copy from stdin.\nFilename \"-\" is a synonym for stdin.\n\n-u  Copy one byte at a time (slow).\n"
#define help_chgrp "usage: chown [-RHLP] [-fvh] [owner][:group] file...\nusage: chgrp [-RHLP] [-fvh] group file...\n\nChange ownership of one or more files.\n\n-f  suppress most error messages.\n-h  change symlinks instead of what they point to\n-R  recurse into subdirectories (implies -h).\n-H  with -R change target of symlink, follow command line symlinks\n-L  with -R change target of symlink, follow all symlinks\n-P  with -R change symlink, do not follow symlinks (default)\n-v  verbose output.\n"
#define help_chmod "usage: chmod [-R] MODE FILE...\n\nChange mode of listed file[s] (recursively with -R).\n\nMODE can be (comma-separated) stanzas: [ugoa][+-=][rwxstXugo]\n\nStanzas are applied in order: For each category (u = user,\ng = group, o = other, a = all three, if none specified default is a),\nset (+), clear (-), or copy (=), r = read, w = write, x = execute.\ns = u+s = suid, g+s = sgid, o+s = sticky. (+t is an alias for o+s).\nsuid/sgid: execute as the user/group who owns the file.\nsticky: can't delete files you don't own out of this directory\nX = x for directories or if any category already has x set.\n\nOr MODE can be an octal value up to 7777    ug uuugggooo    top +\nbit 1 = o+x, bit 1<<8 = u+w, 1<<11 = g+1    sstrwxrwxrwx    bottom\n\nExamples:\nchmod u+w file - allow owner of \"file\" to write to it.\nchmod 744 file - user can read/write/execute, everyone else read only\n"
#define help_cksum "usage: cksum [-IPLN] [file...]\n\nFor each file, output crc32 checksum value, length and name of file.\nIf no files listed, copy from stdin.  Filename \"-\" is a synonym for stdin.\n\n-L  Little endian (defaults to big endian)\n-P  Pre-inversion\n-I  Skip post-inversion\n-N  Do not include length in CRC calculation\n"
#define help_cmp "usage: cmp [-l] [-s] FILE1 FILE2\n\nCompare the contents of two files.\n\n-l  show all differing bytes\n-s  silent\n"
#define help_comm "usage: comm [-123] FILE1 FILE2\n\nReads FILE1 and FILE2, which should be ordered, and produces three text\ncolumns as output: lines only in FILE1; lines only in FILE2; and lines\nin both files. Filename \"-\" is a synonym for stdin.\n\n-1 suppress the output column of lines unique to FILE1\n-2 suppress the output column of lines unique to FILE2\n-3 suppress the output column of lines duplicated in FILE1 and FILE2\n"
#define help_cp "usage: cp [-fipRHLP] SOURCE... DEST\n\nCopy files from SOURCE to DEST.  If more than one SOURCE, DEST must\nbe a directory.\n\n-f  force copy by deleting destination file\n-i  interactive, prompt before overwriting existing DEST\n-p  preserve timestamps, ownership, and permissions\n-R  recurse into subdirectories (DEST must be a directory)\n-H  Follow symlinks listed on command line\n-L  Follow all symlinks\n-P  Do not follow symlinks [default]\n"
#define help_cp_more "usage: cp [-rdavsl]\n\n-r  synonym for -R\n-d  don't dereference symlinks\n-a  same as -dpr\n-l  hard link instead of copy\n-s  symlink instead of copy\n-v  verbose\n"
#define help_cut "usage: cut OPTION... [FILE]...\nPrint selected parts of lines from each FILE to standard output.\n-b LIST    select only these bytes from LIST.\n-c LIST    select only these characters from LIST.\n-f LIST    select only these fields.\n-d DELIM  use DELIM instead of TAB for field delimiter.\n-s    do not print lines not containing delimiters.\n-n    don't split multibyte characters (Ignored).\n"
#define help_date "usage: date [-u] [-r file] [+format] | mmddhhmm[[cc]yy]\n\nSet/get the current date/time\n"
#define help_df "usage: df [-t type] [FILESYSTEM ...]\n\nThe \"disk free\" command, df shows total/used/available disk space for\neach filesystem listed on the command line, or all currently mounted\nfilesystems.\n\n-t type     Display only filesystems of this type.\n"
#define help_df_pedantic "usage: df [-Pk]\n\n-P  The SUSv3 \"Pedantic\" option\n\nProvides a slightly less useful output format dictated by\nthe Single Unix Specification version 3, and sets the\nunits to 512 bytes instead of the default 1024 bytes.\n\n-k  Sets units back to 1024 bytes (the default without -P)\n"
#define help_dirname "usage: dirname PATH\n\nShow directory portion of path.\n"
#define help_du "usage: du [-d N] [-askxHLlmc] [file...]\n\nEstimate file space usage (default in unit of 512 blocks).\n-a    Show all file sizes\n-H    Follow symlinks on cmdline\n-L    Follow all symlinks\n-k    Show size in units of 1024.\n-s    Show only the total Size for each file specified\n-x    Estimate size only on the same device\n-c    Print total size of all arguments\n-d N  Limit output to directories (and files with -a) of depth < N\n-l    Count sizes many times if hard linked\n-h    Sizes in human readable format (e.g., 1K 243M 2G )\n-m    Sizes in megabytes\n"
#define help_echo "usage: echo [-ne] [args...]\n\nWrite each argument to stdout, with one space between each, followed\nby a newline.\n\n-n  No trailing newline.\n-e  Process the following escape sequences:\n\\\\      backslash\n\\0NNN   octal values (1 to 3 digits)\n\\a      alert (beep/flash)\n\\b      backspace\n\\c      stop output here (avoids trailing newline)\n\\f      form feed\n\\n      newline\n\\r      carriage return\n\\t      horizontal tab\n\\v      vertical tab\n\\xHH    hexadecimal values (1 to 2 digits)\n"
#define help_env "usage: env [-i] [NAME=VALUE...] [command [option...]]\n\nSet the environment for command invocation.\n\n-i  Clear existing environment.\n"
#define help_expand "usage: expand [-t tablist] [file...]\n\nExpand tabs to spaces according to tabstops.\n\n-t  tablist\n\nSpecify tab stops, either a single number instead of the default 8,\nor a comma separated list of increasing numbers representing tabstop\npositions (absolute, not increments) with each additional tab beyound\nthat becoming one space.\n"
#define help_false "Return nonzero.\n"
#define help_head "usage: head [-n number] [file...]\n\nCopy first lines from files to stdout. If no files listed, copy from\nstdin. Filename \"-\" is a synonym for stdin.\n\n-n  Number of lines to copy.\n"
#define help_id "usage: id [-nGgru]\n\nPrint user and group ID.\n\n-n  print names instead of numeric IDs (to be used with -Ggu)\n-G  Show only the group IDs\n-g  Show only the effective group ID\n-r  Show real ID instead of effective ID\n-u  Show only the effective user ID\n"
#define help_kill "usage: kill [-l [SIGNAL] | -s SIGNAL | -SIGNAL] pid...\n\nSend a signal to a process\n"
#define help_link "usage: link FILE NEWLINK\n\nCreate hardlink to a file.\n"
#define help_ln "usage: ln [-sf] [FROM...] TO\n\nCreate a link between FROM and TO.\nWith only one argument, create link in current directory.\n\n-s  Create a symbolic link\n-f  Force the creation of the link, even if TO already exists\n-n  Symlink at destination treated as file\n"
#define help_logname "usage: logname\n\nPrints the calling user's name or an error when this cannot be\ndetermined.\n"
#define help_ls "usage: ls [-ACFHLRSacdfiklmnpqrstux1] [directory...]\nlist files\n\nwhat to show:\n-a  all files including .hidden\n-c  use ctime for timestamps\n-d  directory, not contents\n-i  inode number\n-k  block sizes in kilobytes\n-p  put a '/' after directory names\n-q  unprintable chars as '?'\n-s  size (in blocks)\n-u  use access time for timestamps\n-A  list all files except . and ..\n-H  follow command line symlinks\n-L  follow symlinks\n-R  recursively list files in subdirectories\n-F  append file type indicator (/=dir, *=exe, @=symlink, |=FIFO)\n\noutput formats:\n-1  list one file per line\n-C  columns (sorted vertically)\n-g  like -l but no owner\n-l  long (show full details for each file)\n-m  comma separated\n-n  like -l but numeric uid/gid\n-o  like -l but no group\n-x  columns (sorted horizontally)\n\nsorting (default is alphabetical):\n-f  unsorted\n-r  reverse\n-t  timestamp\n-S  size\n"
#define help_mkdir "usage: mkdir [-p] [dirname...]\nCreate one or more directories.\n\n-p  make parent directories as needed.\n"
#define help_mkfifo "usage: mkfifo [fifo_name...]\n\nCreate FIFOs (named pipes).\n"
#define help_nice "usage: nice [-n PRIORITY] command [args...]\n\nRun a command line at an increased or decreased scheduling priority.\n\nHigher numbers make a program yield more CPU time, from -20 (highest\npriority) to 19 (lowest).  By default processes inherit their parent's\nniceness (usually 0).  By default this command adds 10 to the parent's\npriority.  Only root can set a negative niceness level.\n"
#define help_nohup "usage: nohup COMMAND [ARGS...]\n\nRun a command that survives the end of its terminal.\nIf stdin is a tty, redirect from /dev/null\nIf stdout is a tty, redirect to file \"nohup.out\"\n"
#define help_od "usage: od [-bdosxv] [-j #] [-N #] [-A doxn] [-t arg]\n\n-A  Address base (decimal, octal, hexdecimal, none)\n-t  output type(s) a (ascii) c (char) d (decimal) foux\n"
#define help_patch "usage: patch [-i file] [-p depth] [-Ru]\n\nApply a unified diff to one or more files.\n\n-i  Input file (defaults=stdin)\n-l  Loose match (ignore whitespace)\n-p  Number of '/' to strip from start of file paths (default=all)\n-R  Reverse patch.\n-u  Ignored (only handles \"unified\" diffs)\n\nThis version of patch only handles unified diffs, and only modifies\na file when all all hunks to that file apply.  Patch prints failed\nhunks to stderr, and exits with nonzero status if any hunks fail.\n\nA file compared against /dev/null (or with a date <= the epoch) is\ncreated/deleted as appropriate.\n"
#define help_pwd "usage: pwd\n\nThe print working directory command prints the current directory.\n"
#define help_rm "usage: rm [-fiRr] FILE...\n\nRemove each argument from the filesystem.\n\n-f  force: remove without confirmation, no error if it doesn't exist\n-i  interactive: prompt for confirmation\n-rR recursive: remove directory contents\n"
#define help_rmdir "usage: rmdir [-p] [dirname...]\nRemove one or more directories.\n\n-p  Remove path.\n"
#define help_sed "usage: sed [-irn] {command | [-e command]...} [FILE...]\n\nStream EDitor, transforms text by appling script of command to each line\nof input.\n\n-e  Add expression to the command script (if no -e, use first argument)\n-i  Modify file in place\n-n  No default output (p commands only)\n-r  Use extended regular expression syntex\n"
#define help_sh "usage: sh [-c command] [script]\n\nCommand shell.  Runs a shell script, or reads input interactively\nand responds to it.\n\n-c  command line to execute\n"
#define help_sh_tty "Add terminal control to toysh.  This is necessary for interactive use,\nso the shell isn't killed by CTRL-C.\n"
#define help_sh_profile "Read /etc/profile and ~/.profile when running interactively.\n\nAlso enables the built-in command \"source\".\n"
#define help_sh_jobctl "Add job control to toysh.  This lets toysh handle CTRL-Z, and enables\nthe built-in commands \"fg\", \"bg\", and \"jobs\".\n\nWith pipe support, enable use of \"&\" to run background processes.\n"
#define help_sh_flowctl "Add flow control to toysh.  This enables the if/then/else/fi,\nwhile/do/done, and for/do/done constructs.\n\nWith pipe support, this enables the ability to define functions\nusing the \"function name\" or \"name()\" syntax, plus curly brackets\n\"{ }\" to group commands.\n"
#define help_sh_quotes "Add support for parsing \"\" and '' style quotes to the toysh command\nparser, with lets arguments have spaces in them.\n"
#define help_sh_wildcards "Expand wildcards in argument names, ala \"ls -l *.t?z\" and\n\"rm subdir/{one,two,three}.txt\".\n"
#define help_sh_procargs "Add support for executing arguments contianing $() and ``, using\nthe output of the command as the new argument value(s).\n\n(Bash calls this \"command substitution\".)\n"
#define help_sh_envvars "Substitute environment variable values for $VARNAME or ${VARNAME},\nand enable the built-in command \"export\".\n"
#define help_sh_locals "Support for local variables, fancy prompts ($PS1), the \"set\" command,\nand $?.\n"
#define help_sh_arrays "Support for ${blah[blah]} style array variables.\n"
#define help_sh_pipes "Support multiple commands on the same command line.  This includes\n| pipes, > >> < redirects, << here documents, || && conditional\nexecution, () subshells, ; sequential execution, and (with job\ncontrol) & background processes.\n"
#define help_sh_builtins "Adds the commands exec, fg, bg, help, jobs, pwd, export, source, set,\nunset, read, alias.\n"
#define help_exit "usage: exit [status]\n\nExit shell.  If no return value supplied on command line, use value\nof most recent command, or 0 if none.\n"
#define help_cd "usage: cd [path]\n\nChange current directory.  With no arguments, go to $HOME.\n"
#define help_cd_p "usage: cd [-PL]\n\n-P    Physical path: resolve symlinks in path.\n-L    Cancel previous -P and restore default behavior.\n"
#define help_sleep "usage: sleep SECONDS\n\nWait before exiting.\n"
#define help_sleep_float "The delay can be a decimal fraction. An optional suffix can be \"m\"\n(minutes), \"h\" (hours), \"d\" (days), or \"s\" (seconds, the default).\n"
#define help_sort "usage: sort [-run] [FILE...]\n\nSort all lines of text from input files (or stdin) to stdout.\n\n-r    reverse\n-u    unique lines only\n-n    numeric order (instead of alphabetical)\n"
#define help_sort_big "usage: sort [-bcdfiMsz] [-k#[,#[x]] [-t X]] [-o FILE]\n\n-b    ignore leading blanks (or trailing blanks in second part of key)\n-c    check whether input is sorted\n-d    dictionary order (use alphanumeric and whitespace chars only)\n-f    force uppercase (case insensitive sort)\n-i    ignore nonprinting characters\n-M    month sort (jan, feb, etc).\n-x    Hexadecimal numerical sort\n-s    skip fallback sort (only sort with keys)\n-z    zero (null) terminated input\n-k    sort by \"key\" (see below)\n-t    use a key separator other than whitespace\n-o    output to FILE instead of stdout\n\nSorting by key looks at a subset of the words on each line.  -k2\nuses the second word to the end of the line, -k2,2 looks at only\nthe second word, -k2,4 looks from the start of the second to the end\nof the fourth word.  Specifying multiple keys uses the later keys as\ntie breakers, in order.  A type specifier appended to a sort key\n(such as -2,2n) applies only to sorting that key.\n"
#define help_sort_float "usage: sort [-g]\n\nThis version of sort requires floating point.\n\n-g  general numeric sort (double precision with nan and inf)\n\n"
#define help_tail "usage: tail [-n|c number] [-f] [file...]\n\nCopy last lines from files to stdout. If no files listed, copy from\nstdin. Filename \"-\" is a synonym for stdin.\n\n-n  output the last X lines (default 10), +X counts from start.\n-c  output the last X bytes, +X counts from start\n-f  follow file, waiting for more data to be appended\n"
#define help_tail_seek "This version uses lseek, which is faster on large files.\n"
#define help_tee "usage: tee [-ai] [file...]\n\nCopy stdin to each listed file, and also to stdout.\nFilename \"-\" is a synonym for stdout.\n\n-a  append to files.\n-i  ignore SIGINT.\n"
#define help_touch "Usage: Usage: touch [OPTION]... FILE...\n\nUpdate the access and modification times of each FILE to the current time.\n\n-a  change access time\n-m  change modification time\n-c  don't create file\n-d DATE     use YYYY-MM-DDThh:mm:SS[.frac][tz] as time\n-t TIME     use [[CC]YY]MMDDhhmm[.ss][frac] as time\n-r FILE     use reference file's time\n"
#define help_true "Return zero.\n"
#define help_tty "Show filename of terminal connected to stdin.\n\nPrints \"not a tty\" and exits with nonzero status if no terminal\nis connected to stdin.\n\n-s  silent mode\n"
#define help_uname "usage: uname [-asnrvmpio]\n\nPrint system information.\n\n-s  System name\n-n  Network (domain) name\n-r  Release number\n-v  Version (build date)\n-m  Machine (hardware) name\n-a  All of the above\n"
#define help_uniq "usage: uniq [-cduiz] [-w maxchars] [-f fields] [-s char] [input_file [output_file]]\n\nReport or filter out repeated lines in a file\n\n-c  show counts before each line\n-d  show only lines that are repeated\n-u  show only lines that are unique\n-i  ignore case when comparing lines\n-z  lines end with \\0 not \\n\n-w  compare maximum X chars per line\n-f  ignore first X fields\n-s  ignore first X chars\n"
#define help_unlink "usage: unlink FILE\n\nDeletes one file.\n"
#define help_wc "usage: wc -lwcm [FILE...]\n\nCount lines, words, and characters in input.\n\n-l  show lines\n-w  show words\n-c  show bytes\n-m  show characters\n\nBy default outputs lines, words, bytes, and filename for each\nargument (or from stdin if none). Displays only either bytes\nor characters.\n"
#define help_who "usage: who\n\nPrint logged user information on system\n"
#define help_xargs "usage: xargs [-ptxr0] [-s NUM] [-n NUM] [-L NUM] [-E STR] COMMAND...\n\nRun command line one or more times, appending arguments from stdin.\n\nIf command exits with 255, don't launch another even if arguments remain.\n\n-s  Size in bytes per command line\n-n  Max number of arguments per command\n-0  Each argument is NULL terminated, no whitespace or quote processing\n#-p Prompt for y/n from tty before running each command\n#-t Trace, print command line to stderr\n#-x Exit if can't fit everything in one command\n#-r Don't run command with empty input\n#-L Max number of lines of input per command\n-E  stop at line matching string\n"
#define help_toybox "usage: toybox [command] [arguments...]\n\nWith no arguments, shows available commands.  First argument is\nname of a command to run, followed by any arguments to that command.\n"
#define help_toybox_suid "Support for suid commands, which run as root.  This means toybox must\nbe installed suid root, and drops permissions before running commands\nwhich do not require root access.\n"
#define help_toybox_float "Include floating point support infrastructure and commands that\nrequire it.\n"
#define help_toybox_i18n "Add support for locales in commands.\n"
#define help_toybox_free "When a program exits, the operating system will clean up after it\n(free memory, close files, etc).  To save size, toybox usually relies\non this behavior.  If you're running toybox under a debugger or\nwithout a real OS (ala newlib+libgloss), enable this to make toybox\nclean up after itself.\n"
#define help_toybox_debug "Enable extra checks for debugging purposes.\n"
